This is ConwayPolynomials.info, produced by Macaulay2, version 1.20

ConwayPolynomials -- database of Conway polynomials for use with GF
*******************************************************************

Description
===========

ConwayPolynomials is a package that provides a database of Conway polynomials.
A Conway polynomial for a prime p and an exponent n is a particular monic
polynomial whose roots are primitive elements of a finite field with p^n
elements.  They can take a very long time to compute, so the package comes with
just a publicly available database of Conway polynomials provided by Frank
Luebeck.

After the package is loaded, the function GF (Macaulay2Doc), will
return Galois fields presented by Conway polynomials, provided they are in the
table.  Moreover, see map (Macaulay2Doc), can be used to produce the
canonical maps between Conway Galois fields.

The package is loaded by default when Macaulay2 starts up.  The database is
loaded the first time conwayPolynomial, is called,
resulting in a brief pause.

In this example, we show how GF (Macaulay2Doc), and map (Macaulay2Doc),
behave when the package is present.

+-----------------------------------------------------------+
|i1 : GF 125                                                |
|                                                           |
|o1 = GF 125                                                |
|                                                           |
|o1 : GaloisField                                           |
+-----------------------------------------------------------+
|i2 : ambient oo                                            |
|                                                           |
|        ZZ                                                 |
|        --[a]                                              |
|         5                                                 |
|o2 = -----------                                           |
|      3                                                    |
|     a  - 2a - 2                                           |
|                                                           |
|o2 : QuotientRing                                          |
+-----------------------------------------------------------+
|i3 : map(GF 125^2, GF 125)                                 |
|                                                           |
|                                5    4    3    2           |
|o3 = map (GF 15625, GF 125, {- a  + a  - a  - a  - 2a - 2})|
|                                                           |
|o3 : RingMap GF 15625 <--- GF 125                          |
+-----------------------------------------------------------+
|i4 : isWellDefined oo                                      |
|                                                           |
|o4 = true                                                  |
+-----------------------------------------------------------+

Author
======

  * Daniel R. Grayson <dan@math.uiuc.edu>

Version
=======

This documentation describes version 1.0 of ConwayPolynomials.

Source code
===========

The source code from which this documentation is derived is in the file
ConwayPolynomials.m2 (see common/share/Macaulay2/ConwayPolynomials.m2 ).

Exports
=======

  * Functions and commands
      * conwayPolynomial -- provide a Conway
        polynomial
  * Methods
      * "conwayPolynomial(ZZ)" -- see conwayPolynomial,
        -- provide a Conway polynomial
      * "conwayPolynomial(ZZ,ZZ)" -- see conwayPolynomial,
        -- provide a Conway polynomial

For the programmer
==================

The object ConwayPolynomials, is a package (Macaulay2Doc).

conwayPolynomial -- provide a Conway polynomial
***********************************************

Synopsis
========

  * Optional inputs (Macaulay2Doc),:
      * Variable (missing documentation) => ..., default value "a", null

Description
===========

Synopsis
========

  * Usage:
        conwayPolynomial(q,Variable=>a)
  * Inputs:
      * q, an integer (Macaulay2Doc), a power of a prime number
      * a, a symbol (Macaulay2Doc), an optional input, the symbol
        served as variable, default a
  * Outputs:
      * a Conway polynomial whose roots generate a field with q elements
+-------------------------+
|i1 : conwayPolynomial 125|
|                         |
|      3                  |
|o1 = a  - 2a - 2         |
|                         |
|     ZZ                  |
|o1 : --[a]               |
|      5                  |
+-------------------------+

Synopsis
========

  * Usage:
        conwayPolynomial(p,n,Variable=>a)
  * Inputs:
      * p, an integer (Macaulay2Doc), a prime number
      * n, an integer (Macaulay2Doc),
      * a, a symbol (Macaulay2Doc), an optional input, the symbol
        served as variable, default a
  * Outputs:
      * a Conway polynomial whose roots generate a field with p^n elements
+-----------------------------------------------+
|i2 : conwayPolynomial(2,20,Variable=>"b")      |
|                                               |
|      20    10    9    7    6    5    4        |
|o2 = b   + b   + b  + b  + b  + b  + b  + b + 1|
|                                               |
|     ZZ                                        |
|o2 : --[b]                                     |
|      2                                        |
+-----------------------------------------------+

Ways to use conwayPolynomial :
==============================

  * "conwayPolynomial(ZZ)"
  * "conwayPolynomial(ZZ,ZZ)"

For the programmer
==================

The object conwayPolynomial, is a method function with options (Macaulay2Doc).